Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035439
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptminoralways2017-03-06 16:332017-04-28 11:43
ReporterlorenzofidalgoView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisiona3b2b4830ed9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035439: "Not enough cash" message is shown and Tick button is disabled using Gift Card to return a receipt with no cash involved

DescriptionIt is being checked if there is enough cash to return a receipt when it is being used Gift Card payment method to return the receipt. Because of that checking, it is shown "There is not enough cash available." and OK (tick) button is disabled. Those checks are unnecessary and wrong.
Steps To Reproduce0-With "Gift Cards and Vouchers" module installed and at at least a Gift Card created correctly login Web POS as vallblanca.
1-Complete a Cashup keeping nothing in all steps.
2-Add 1x "Adhesive body warmers" to the receipt.
3-Mark this receipt as "To be Returned" through dropdown menu.
4-Click Total Amount button and use the previously created Gift Card as Payment Method to return this receipt. (Click Gift Card button, then OK button and select the previously created Gift Card).
5-DEFECT: Realise it is not avaliable to click in OK button (tick) and it is shown "There is not enough cash available" even when cash is not required.
TagsNo tags attached.
Attached Filespng file icon NotEnoughCashAvailableGC.png [^] (138,752 bytes) 2017-03-06 16:33

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0096043)
hgbot (developer)
2017-04-17 16:15

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: a3b2b4830ed9b131b6ca5f4b53c2de06004e1940
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Apr 11 15:17:48 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/a3b2b4830ed9b131b6ca5f4b53c2de06004e1940 [^]

Fixed issue 35439: "Not enough cash" message is shown and Tick button is
disabled using Gift Card to return a receipt with no cash involved

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardPaymentAmount.js
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
---
(0096054)
hgbot (developer)
2017-04-18 17:21

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: c7edbf371033382c60b84276212e570e7aff10b8
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Apr 18 17:20:44 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/c7edbf371033382c60b84276212e570e7aff10b8 [^]

Related to issue 35439: "Not enough cash" message is shown and Tick button is
disabled using Gift Card to return a receipt with no cash involved

Fix JSlint error from integration.

---
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
---
(0096095)
asiermartirena (developer)
2017-04-20 18:26
edited on: 2017-04-20 18:35

After these changes both Gift Certificates and Product Gift Cards flows are broken. This changes have not been detected on try because the Gift Cards and Credit notes are still in the quarantine.
We will fix these problems and push to this issue after we verify that all tests are correctly executed.

We are working to correct all tests to get them out of the quarantine.

(0096107)
hgbot (developer)
2017-04-24 06:53

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 1296a637d8cbe6bf6ccf3c1b2869dcc38bf7280d
Author: Prakash M <prakash <at> qualiantech.com>
Date: Fri Apr 21 18:39:39 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/1296a637d8cbe6bf6ccf3c1b2869dcc38bf7280d [^]

Related to issue 35439: Fixed Gift Certificates and Product Gift Cards broken flow

---
M src/org/openbravo/retail/giftcards/GCNVComponentProvider.java
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
M web/org.openbravo.retail.giftcards/js/model/GiftCardUtils.js
R web/org.openbravo.retail.giftcards/js/components/GiftCardPaymentAmount.js
R web/org.openbravo.retail.giftcards/js/hooks/PreAddPaymentButtonHook.js
---
(0096256)
hgbot (developer)
2017-04-28 11:22

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: d864338390c479906f46bb7265e21920862ec114
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Apr 28 11:21:33 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/d864338390c479906f46bb7265e21920862ec114 [^]

Related to issue 35439: Separated Product Gift Card and Gift Certificate buttons.

In Web POS, now, product gift cards and gift certificates have now different buttons.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/giftcards/GCNVComponentProvider.java
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
M web/org.openbravo.retail.giftcards/js/model/GiftCardUtils.js
A web/org.openbravo.retail.giftcards/js/components/GiftCardPaymentAmount.js
---
(0096257)
hgbot (developer)
2017-04-28 11:43

Repository: tools/automation/pi-mobile
Changeset: 3d28ee351ff90c695d1229d90a15b6aed7198ac3
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Apr 28 11:43:23 2017 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3d28ee351ff90c695d1229d90a15b6aed7198ac3 [^]

Related to issue 35439: Modified tests to work with two buttons

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/TestIdExtModules.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I30841_ReturnLineButtonNotClickeable.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I31651_VerfiyGiftCardReturnTransaction.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I31718_CheckGiftCardPaymentWithCustomPayment.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I32804_GiftCardValidateReturnLine.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I32981_VerifyGiftCardLineSelection.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I34251_VerifyGiftCardEditPrice.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/PayOpenTicketsWithGiftCard.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/PayTicketWithGiftCard.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/PayTicketWithTwoGiftCard.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/PayWithGiftCardOneTimeUse.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/ReimburseCard.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/ReversePaymentsWithGiftCard.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/TryToPayMoreThanCardBalance.java
---

- Issue History
Date Modified Username Field Change
2017-03-06 16:33 lorenzofidalgo New Issue
2017-03-06 16:33 lorenzofidalgo Assigned To => Retail
2017-03-06 16:33 lorenzofidalgo File Added: NotEnoughCashAvailableGC.png
2017-03-06 16:33 lorenzofidalgo Triggers an Emergency Pack => No
2017-03-29 23:07 rqueralta Assigned To Retail => rqueralta
2017-03-29 23:08 rqueralta Status new => scheduled
2017-04-17 16:15 hgbot Checkin
2017-04-17 16:15 hgbot Note Added: 0096043
2017-04-17 16:15 hgbot Status scheduled => resolved
2017-04-17 16:15 hgbot Resolution open => fixed
2017-04-17 16:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/a3b2b4830ed9b131b6ca5f4b53c2de06004e1940 [^]
2017-04-18 17:21 hgbot Checkin
2017-04-18 17:21 hgbot Note Added: 0096054
2017-04-20 18:26 asiermartirena Note Added: 0096095
2017-04-20 18:35 asiermartirena Note Edited: 0096095 View Revisions
2017-04-24 06:53 hgbot Checkin
2017-04-24 06:53 hgbot Note Added: 0096107
2017-04-28 11:22 hgbot Checkin
2017-04-28 11:22 hgbot Note Added: 0096256
2017-04-28 11:43 hgbot Checkin
2017-04-28 11:43 hgbot Note Added: 0096257


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker